--------------------------------------------------------------------------------
-- Code developed by Generis Technology Limited
--
-- Product Name: B-Smart
--
-- Component Name: Meter Asset Manager
--
-- Description: Script to create Mechanism standing data.
--
-- Amendment History:                   Date        Author            Vers
-- ----------------------------------   ---------   -------           ----------
-- B-Smart Initial Release              10-DEC-01   S Brown           0.1.0
-- Baseline MDb Release 1.1.10 v1.1.7
-- Changed BGT to BSMART                07-JAN-02   R Maas            1.0.0
-- RGMA changes for 1.2.0               11-SEP-02   R Maas            1.2.0.1
-- SPAA12_225 Changes			    25-MAR-13   C Brown           10.0.002.0
--------------------------------------------------------------------------------
--
PROMPT
PROMPT Script to create Mechanism standing data.
PROMPT
PROMPT Version 10.0.002.0
PROMPT
--
PROMPT Disabling constraints
--------------------------------------------------------------------------------
-- Disable constraints
--------------------------------------------------------------------------------
ALTER TABLE PRODUCT DISABLE CONSTRAINT FK_PRD_MEC;
ALTER TABLE PRODUCT_DEFAULTS DISABLE CONSTRAINT FK_PDE_MEC;
/*************/
/* MECHANISM */
/*************/
PROMPT Delete rows from table MECHANISM
--
DELETE FROM MECHANISM
/
--
PROMPT Insert rows into table MECHANISM
--
INSERT INTO MECHANISM (
   MECHANISM_TYPE, MECHANISM_DESCRIPTION,
   CREATED_USER_ID, CREATED_MARKET_PARTICIPANT, CREATED_DATE)
VALUES (
   'CM', 'Coin Meter',
   USER, 'BSMART', SYSDATE)
/
--
INSERT INTO MECHANISM (
   MECHANISM_TYPE, MECHANISM_DESCRIPTION,
   CREATED_USER_ID, CREATED_MARKET_PARTICIPANT, CREATED_DATE)
VALUES (
   'CR', 'Credit',
   USER, 'BSMART', SYSDATE)
/
--
INSERT INTO MECHANISM (
   MECHANISM_TYPE, MECHANISM_DESCRIPTION,
   CREATED_USER_ID, CREATED_MARKET_PARTICIPANT, CREATED_DATE)
VALUES (
   'ET', 'Electronic Token Meter',
   USER, 'BSMART', SYSDATE)
/
--
INSERT INTO MECHANISM (
   MECHANISM_TYPE, MECHANISM_DESCRIPTION,
   CREATED_USER_ID, CREATED_MARKET_PARTICIPANT, CREATED_DATE)
VALUES (
   'MT', 'Mechanical Token Meter',
   USER, 'BSMART', SYSDATE)
/
--
INSERT INTO MECHANISM (
   MECHANISM_TYPE, MECHANISM_DESCRIPTION,
   CREATED_USER_ID, CREATED_MARKET_PARTICIPANT, CREATED_DATE)
VALUES (
   'TH', 'Thrift',
   USER, 'BSMART', SYSDATE)
/
--
INSERT INTO MECHANISM (
   MECHANISM_TYPE, MECHANISM_DESCRIPTION,
   CREATED_USER_ID, CREATED_MARKET_PARTICIPANT, CREATED_DATE)
VALUES (
   'U', 'Unknown',
   USER, 'BSMART', SYSDATE)
/
--
INSERT INTO MECHANISM (
   MECHANISM_TYPE, MECHANISM_DESCRIPTION,
   CREATED_USER_ID, CREATED_MARKET_PARTICIPANT, CREATED_DATE)
VALUES (
   'PP', 'Prepayment',
   USER, 'BSMART', SYSDATE)
/
--
INSERT INTO MECHANISM (
   MECHANISM_TYPE, MECHANISM_DESCRIPTION,
   CREATED_USER_ID, CREATED_MARKET_PARTICIPANT, CREATED_DATE)
VALUES (
   'NS', 'Non Compliant SMETS Smart Meter',
   USER, 'BSMART', SYSDATE)
/
--
INSERT INTO MECHANISM (
   MECHANISM_TYPE, MECHANISM_DESCRIPTION,
   CREATED_USER_ID, CREATED_MARKET_PARTICIPANT, CREATED_DATE)
VALUES (
   'S1', 'SMETS 1 compliant Smart Meter',
   USER, 'BSMART', SYSDATE)
/
--
INSERT INTO MECHANISM (
   MECHANISM_TYPE, MECHANISM_DESCRIPTION,
   CREATED_USER_ID, CREATED_MARKET_PARTICIPANT, CREATED_DATE)
VALUES (
   'S2', 'SMETS 2 compliant Smart Meter',
   USER, 'BSMART', SYSDATE)
/
--

PROMPT Enabling constraints
------------------------------------------------------------------------
-- Enable constraints
------------------------------------------------------------------------
ALTER TABLE PRODUCT ENABLE CONSTRAINT FK_PRD_MEC;
ALTER TABLE PRODUCT_DEFAULTS ENABLE CONSTRAINT FK_PDE_MEC;
--
COMMIT
/
